SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002879: list out of range with many ldap users - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002879Endian FirewallProxy HTTPpublic2010-04-29 13:482010-11-22 11:49
Reporterluca-endian 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3 
Target Version2.4Fixed in Version2.4 
Summary0002879: list out of range with many ldap users
DescriptionHttp Proxy authenticating against a Novell eDirectory.

When a new rule is going to be created returns an error due to the high number of users (over 1000 users and about 100 groups).

See the pic.
Tagspurple
Attached Filespng file icon 72797.png [^] (62,100 bytes) 2010-04-29 13:48

- Relationships
related to 0003025closed Endian Firewall ldap auth does not work if the count of chars of user/groups > 256 per rule 
related to 0002986closedsimon-endian Endian Firewall http proxy still writing conf 

-  Notes
(0004264)
luca-endian (developer)
2010-05-26 12:54

Seems that this issue happens even if the ldap tree has only 4 users!
(0004427)
luca-endian (developer)
2010-06-08 10:01

FIX:
replace ${rule.for} with ${rule.for_} at line 150 in /etc/squid/squid.conf.tmpl

afterwards you need to run restartsquid.py --force
(0004484)
peter-endian (administrator)
2010-06-11 08:18

applied, thank you for the fix
(0004557)
luca-endian (developer)
2010-06-24 08:14

other bugs have been discovered which cause this behaviour, added as relationship
(0004563)
simon-endian (developer)
2010-06-24 10:28

fixed with 0003025

- Issue History
Date Modified Username Field Change
2010-04-29 13:48 luca-endian New Issue
2010-04-29 13:48 luca-endian File Added: 72797.png
2010-04-29 13:48 luca-endian Tag Attached: purple
2010-05-26 12:54 luca-endian Note Added: 0004264
2010-05-27 07:36 luca-endian Severity minor => major
2010-06-07 10:31 peter-endian Status new => acknowledged
2010-06-07 14:14 peter-endian Target Version => 2.4
2010-06-07 14:24 peter-endian Status acknowledged => new
2010-06-07 14:24 peter-endian Assigned To => simon-endian
2010-06-07 14:25 peter-endian Status new => assigned
2010-06-08 10:01 luca-endian Note Added: 0004427
2010-06-10 13:18 ra-endian Status assigned => new
2010-06-10 13:18 ra-endian Assigned To simon-endian => peter-endian
2010-06-10 13:19 ra-endian Status new => acknowledged
2010-06-10 13:41 peter-endian Status acknowledged => assigned
2010-06-11 08:18 peter-endian Note Added: 0004484
2010-06-11 08:18 peter-endian Status assigned => resolved
2010-06-11 08:18 peter-endian Fixed in Version => 2.4
2010-06-11 08:18 peter-endian Resolution open => fixed
2010-06-24 08:14 luca-endian Note Added: 0004557
2010-06-24 08:14 luca-endian Status resolved => feedback
2010-06-24 08:14 luca-endian Resolution fixed => reopened
2010-06-24 08:15 luca-endian Relationship added related to 0003025
2010-06-24 08:15 luca-endian Relationship added related to 0002877
2010-06-24 08:16 luca-endian Relationship added related to 0002986
2010-06-24 10:28 simon-endian Note Added: 0004563
2010-06-24 10:28 simon-endian Status feedback => resolved
2010-06-24 10:28 simon-endian Resolution reopened => fixed
2010-11-22 11:49 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker